For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Atoms PlatformProduct OverviewDeveloper GuideAPI ReferenceMCPIntegrationsDeveloper ToolsChangelog
Atoms PlatformProduct OverviewDeveloper GuideAPI ReferenceMCPIntegrationsDeveloper ToolsChangelog
  • User
    • GETGet user details
  • Organization
    • GETGet organization details
  • Agent templates
    • GETGet agent templates
    • POSTCreate agent from template
  • Agents
    • GETGet all agents
    • POSTCreate a new agent
    • GETGet agent by ID
    • PATCHUpdate agent metadata
    • DELDelete an agent
    • POSTDuplicate agent to another organization
    • GETGet agent workflow
    • PATCHUpdate workflow configuration
  • Logs
    • GETGet all conversation logs
    • POSTSearch conversation logs by call IDs
    • GETGet conversation log by ID
  • Calls
    • POSTStart an outbound call
  • Campaigns
    • GETRetrieve all campaigns
    • POSTCreate a campaign
    • GETGet a campaign
    • DELDelete a campaign
    • POSTStart a campaign
    • POSTPause a campaign
  • Knowledge base
    • GETGet all knowledge bases
    • POSTCreate a knowledge base
    • GETGet a knowledge base
    • DELDelete a knowledge base
    • GETGet all knowledge base items
    • DELDelete a knowledge base item
    • POSTUpload a PDF file to a knowledge base
  • Phone numbers
    • GETGet acquired phone numbers
    • POSTImport a SIP phone number
  • Webhooks
    • GETGet webhooks
    • POSTCreate a webhook
    • DELDelete a webhook
    • GETGet webhook subscriptions for an agent
    • POSTCreate webhook subscriptions for an agent
    • DELDelete webhook subscriptions for an agent
    • POSTpre-conversation
    • POSTpost-conversation
    • POSTanalytics-completed
  • Audience
    • GETGet all audiences
    • POSTCreate audience with CSV upload
    • GETGet audience by ID
    • DELDelete audience
    • GETGet audience members
    • POSTAdd audience members
    • DELDelete audience members
    • GETSearch audience members
  • Realtime Agent
    • WSSAgent WebSocket
  • Live Transcripts
    • STREAMSubscribe to live call events (SSE)
  • Compliance
    • GETGet compliance status
    • GETGet compliance requirements
    • POSTSubmit a compliance application
    • PATCHResubmit a rejected compliance application
    • POSTRefresh compliance application status
  • Agent Versioning Drafts
    • GETList active drafts
    • POSTCreate a draft
    • GETGet draft detail
    • DELDiscard a draft
    • PATCHRename a draft
    • GETGet draft diff
    • POSTPublish a draft
    • POSTTest call with draft config
    • PATCHEdit draft config (prompt, tools, post-call metrics, voice, etc.)
  • Agent Versioning Versions
    • GETList published versions
    • GETDiff two versions
    • GETCompare metrics between two versions
    • GETGet version detail
    • PATCHUpdate version metadata (label, description, pin only)
    • PATCHActivate a version
    • POSTTest call with version config
LogoLogo
Voice AgentsModels
Voice AgentsModels
Audience

Add audience members

||View as Markdown|
POST
https://api.smallest.ai/atoms/v1/audience/:id/members
POST
/atoms/v1/audience/:id/members
1from smallest_ai import SmallestAI
2
3client = SmallestAI(
4 token="YOUR_TOKEN_HERE",
5)
6
7client.atoms.audience.add_audience_members(
8 id="60d0fe4f5311236168a109ca",
9 members=[
10 {}
11 ],
12)
1{
2 "status": true,
3 "data": [
4 {
5 "message": "5 members added successfully",
6 "data": {
7 "added": 5,
8 "skipped": 2
9 }
10 }
11 ]
12}
Add new members to an existing audience. Users can only add members to audiences they created.
Was this page helpful?
Previous

Get audience members

Next

Delete audience members

Built with

Authentication

AuthorizationBearer

API key from the console ApiKey collection, sent as Bearer token. Also accepts session cookies for browser-based auth.

Path parameters

idstringRequired
The unique identifier of the audience

Request

This endpoint expects an object.
memberslist of objectsRequired
Array of member objects with dynamic structure based on audience configuration

Response

Members added successfully
statusboolean
datalist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error